Dallas Semiconductor 1-Wire API 1.00 Alpha: Class TAGParser

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dalsemi.onewire.application.tag
Class TAGParser

    java.lang.Object
      |
      +--com.dalsemi.onewire.application.tag.TAGParser

public class TAGParser
extends Object

The tag parser parses tagging information.

Constructor Summary
`TAGParser(DSPortAdapter adapter)` Construct the tag parser.

Method Summary
`Vector` | `getBranches()` Returns the vector of Branch TaggedDevice objects described in the TAG file.
`Vector` | `getOWPaths()` Returns the vector of OWPath objects discovered through parsing the XML file.
`Vector` | `parse(InputStream in)` Returns the vector of TaggedDevice objects described in the TAG file.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TAGParser

    public TAGParser(DSPortAdapter adapter)

  Construct the tag parser.
  Parameters:
    `adapter` - What port adapter will serve the devices created.

Method Detail

### parse

    public Vector parse(InputStream in)
                 throws org.xml.sax.SAXException,
                        IOException

  Returns the vector of TaggedDevice objects described in the TAG file.
  Parameters:
    `in` - The XML document to parse.
  Returns:
    Vector of TaggedDevice objects.
  Throws:
    `org.xml.sax.SAXException` - If a parse error occurs parsing in.
    `IOException` - If an I/O error occurs while reading in.

### getBranches

    public Vector getBranches()

  Returns the vector of Branch TaggedDevice objects described in the TAG file. The XML should already be parsed before calling this method.
  Parameters:
    `in` - The XML document to parse.
  Returns:
    Vector of Branch TaggedDevice objects.

### getOWPaths

    public Vector getOWPaths()

  Returns the vector of OWPath objects discovered through parsing the XML file. The XML file should already be parsed before calling this method.
  Parameters:
    `no` - parameters.
  Returns:
    Vector of OWPath objects.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD